Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 477958 - Review Request: id3mtag - Command line mass ID3 tagging utility for audio files
Summary: Review Request: id3mtag - Command line mass ID3 tagging utility for audio files
Keywords:
Status: CLOSED DUPLICATE of bug 594064
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-12-26 13:32 UTC by Avi Alkalay
Modified: 2010-05-20 13:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 594064 (view as bug list)
Environment:
Last Closed: 2009-05-21 16:40:18 UTC


Attachments (Terms of Use)

Description Avi Alkalay 2008-12-26 13:32:14 UTC
Spec URL: http://avi.alkalay.net/software/id3mtag/
SRPM URL: http://avi.alkalay.net/software/id3mtag/
Description: ID3 mass tagger is a tool for manipulating id3 and id3v2 tags in multiple files. It can generate tag fields from the filename and other variables, and/or rename files, using an intuitive syntax.

Comment 1 Fabian Affolter 2008-12-27 11:57:56 UTC
The rpmlint output...

[fab@laptop024 i386]$ rpmlint id3mtag*
id3mtag.i386: W: invalid-license Two-clause BSD
id3mtag-debuginfo.i386: E: empty-debuginfo-package
id3mtag-debuginfo.i386: W: invalid-license Two-clause BSD
2 packages and 0 specfiles checked; 1 errors, 2 warnings.

[fab@laptop024 SRPMS]$ rpmlint id3mtag-0.78-1.fc9.src.rpm
id3mtag.src: W: invalid-license Two-clause BSD
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

For more details check https://fedoraproject.org/wiki/Licensing

Some comments on your spec file

- CHANGES, COPYING, and so on should be placed in the %files section 
  %doc CHANGES COPYING
  %doc %{_docdir}/%{name} looks a bit unusual

- Don't mix $RPM_BUILD_ROOT and %{buildroot}
  https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

- Is 'Prefix: %{_usr}' really needed?
  https://fedoraproject.org/wiki/Packaging/Guidelines#Relocatable_packages

- Remove the 'fc9' in the changelog entry '...com> - 0.78-1'
  https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

- %{?_smp_mflags} and %{optflags} are not honored in the %build section

Comment 2 Avi Alkalay 2009-01-02 05:03:39 UTC
All fixed.

Please recheck updates at http://avi.alkalay.net/software/id3mtag/

Comment 3 Fabian Affolter 2009-01-09 10:12:05 UTC
Two other small things

- BuildRoot tag doesn't match the guidelines
  https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

- the manpage should not have %doc

I will try to make an informal review today.  I'm not a sponsor but I can help you to make some progress with this package till a sponsor will take care of it.

Comment 4 Fabian Affolter 2009-03-09 15:12:34 UTC
ping?

Comment 5 Fabian Affolter 2009-04-20 07:23:22 UTC
Are you still interested in maintaining this package?

Comment 6 Mamoru TASAKA 2009-05-10 09:09:58 UTC
I will close this bug as NOTABUG if no response is received
from the reporter within ONE WEEK.

Comment 7 Mamoru TASAKA 2009-05-21 16:40:18 UTC
Once closing.

If someone wants to import this package into Fedora, please
file a new review request and mark this bug as a duplicate
of the new one.

Thank you!

Comment 8 Avi Alkalay 2010-05-20 13:17:25 UTC

*** This bug has been marked as a duplicate of bug 594064 ***


Note You need to log in before you can comment on or make changes to this bug.